#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup() {

	ofSetVerticalSync(true);
	ofBackground(255, 255, 255);
	
	
	
}

//--------------------------------------------------------------
void testApp::update() {
	
	
	// adding the particles
	if(particles.size() < 200) {
		Particle newParticle;
		newParticle.setup();
		newParticle.p.set(ofGetWidth()/2, ofGetHeight()/2, 0);
		particles.push_back(newParticle);
	}
	
	
	// update the paritlces
	for(int i=0; i<particles.size(); i++) {
		particles[i].update();
	}
	
	// the magic way to kill particles
	particles.erase(particles.begin(), partition(particles.begin(), particles.end(), Particle::removeMe));
	
}

//--------------------------------------------------------------
void testApp::draw() {
	
	
	// draw the particles
	ofSetColor(0, 0, 0);
	for(int i=0; i<particles.size(); i++) {
		particles[i].draw();
	}
	
	
	ofDrawBitmapString("Particle Size: "+ofToString((int)particles.size()), 20, 20);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

